Search found 397 matches

by lpaatero
Fri Mar 01, 2019 10:14 pm
Forum: General
Topic: Failed dependencies
Replies: 7
Views: 1841

Re: Failed dependencies

Thanks for reporting.

My repo has correct script, so it seems build script has failed somehow, and taken something crap :(

Created version 3.0.18 for ZIP and RPM. Can you check if everything is right now?
It looks fine on my machine.

regards
Lauri
by lpaatero
Sun Feb 10, 2019 10:46 am
Forum: Support
Topic: Unable to export ASCII diagram
Replies: 3
Views: 211

Re: Unable to export ASCII diagram

Tested in linux / Java 10.0.2;
Seems to work fine.

Which OS are you using?
by lpaatero
Sat Feb 09, 2019 10:55 pm
Forum: Support
Topic: Unable to export ASCII diagram
Replies: 3
Views: 211

Re: Unable to export ASCII diagram

Tested export in Java 8: - Export comment settings - Format: Ascii / Senseis library - wiki - Export graphic settings - Format: Ascii -> Exporting creates a .txt file with name given in export dialog. So problem is either in Java version, or there is some difference in settings. Or in environment......
by lpaatero
Sun Sep 16, 2018 9:24 am
Forum: General
Topic: default variation behavior
Replies: 1
Views: 863

Re: default variation behavior

Hi, This is old behavior that used to be quite normal long time ago in go programs... Changing it will open quite a can of worms: How to insert moves into middle then? Add mode for this? So change would not be just this detail. So if I start to clean-up the user interface, this is one of the things ...
by lpaatero
Sat Sep 01, 2018 2:20 pm
Forum: Bugs
Topic: Error in GoWrite Launcher, No usable JVM found
Replies: 5
Views: 7101

Re: Error in GoWrite Launcher, No usable JVM found

Java 8 is the LTS (long-term support) version of java. It should work with all recent gowrite versions. Java 9 and Java 10 changed the way they are identified. Only 3.0.17 version work with Java 9 or Java 10. If there are issues with 3.0.17 and java 9 or 10, please try to report specific versions no...
by lpaatero
Sat Aug 04, 2018 6:22 pm
Forum: Bugs
Topic: GoWrite doesn't support Java 9.0.1 64 bit on Windows 7 64 bit
Replies: 5
Views: 2737

Re: GoWrite doesn't support Java 9.0.1 64 bit on Windows 7 64 bit

Please can you be bit more specific, which combinations of java VM you have seen working and not working?

And you could try development version (3.0.17) in download page, it should work with java 10.

regards
Lauri
by lpaatero
Mon Jul 16, 2018 8:43 am
Forum: General
Topic: Failed dependencies
Replies: 7
Views: 1841

Re: Failed dependencies

I do not have any other changes ready, so it could take a while until I create next update.

The correction I made is simple:
replace the line with mknod command in gowrite2 script file with

Code: Select all

mkfifo -m 700 ~/.gowrite/cmd

mkfifo command should be available in almost everywhere

regards
Lauri
by lpaatero
Sun Jun 17, 2018 2:36 pm
Forum: General
Topic: Failed dependencies
Replies: 7
Views: 1841

Re: Failed dependencies

Thanks for pointing out the mknod issue. I will replace it with mkfifo in next release. mkfifo should also work in mac.

The "other platform" ZIP installation file can be used to do the same, unzipping it gives all needed to run.

regards
Lauri
by lpaatero
Tue May 01, 2018 9:54 am
Forum: General
Topic: GOWrite 3.0.17
Replies: 0
Views: 1799

GOWrite 3.0.17

This is first windows GOWrite version to work with Java 9 and 10. Let me know about any problems! In Linux Java 9 or 10 should not have any issues. Minimum Java requirement is now at least Java 7 in all platforms. Changes in 3.0.17: * Initial support for Java 9 and Java 10 (for 64 bit Windows ) * Fi...
by lpaatero
Tue Apr 17, 2018 9:52 pm
Forum: Support
Topic: Making puzzles
Replies: 1
Views: 1647

Re: Making puzzles

Hi,

GOWrite does not not shod puzzles, nor does it create them (automatically).

GOWrite can be used (as example) to edit existing puzzles for printing.

regards
Lauri
by lpaatero
Tue Apr 17, 2018 9:49 pm
Forum: Development
Topic: Go write 2.3 and 3.0
Replies: 1
Views: 1681

Re: Go write 2.3 and 3.0

Hi,

Please check that you have have java installed. For example command "java" should show something on its own.
Beyond having java, I am not aware of any requirements.

Do you have anyone close by, that could help you to identify the problem?

regards
Lauri
by lpaatero
Thu Nov 09, 2017 11:19 pm
Forum: Bugs
Topic: GoWrite doesn't support Java 9.0.1 64 bit on Windows 7 64 bit
Replies: 5
Views: 2737

Re: GoWrite doesn't support Java 9.0.1 64 bit on Windows 7 64 bit

Thanks for reporting this. I will have to take a look at it. This will probably take a while. Update: Based on documentation, there are number of compatibility breaking changes in Java 9. It is likely that I will create private java 9 copy and embed it into next 3.0.x GOWrite Windows version. This i...
by lpaatero
Tue May 02, 2017 6:26 am
Forum: Tips & Tricks
Topic: Publication: Making PDF documents
Replies: 4
Views: 6122

Re: Publication: Making PDF documents

No information on that.
You probably should look at dedicated MAC forums for best information.

regards
Lauri
by lpaatero
Mon Feb 06, 2017 7:02 pm
Forum: General
Topic: GOWrite 3.0.16
Replies: 0
Views: 2685

GOWrite 3.0.16

GOWrite 3.0.16 is update for updated translation and to fix broken game search in 3.0.15. Changes compared to 3.0.15: * Update for Chinese translation! * H2 database version is back to non-beta version (1.3.176). Search game database must be rebuild using wizard:( Changes compared to 3.0.5: * Except...

Go to advanced search